stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
stdex::progress< T > Class Template Reference

Progress indicator base class. More...

`#include <stdex/progress.hpp>`

Inheritance diagram for stdex::progress< T >:

## Public Member Functions
virtual void | set_text (const char *msg)
| Set progress indicator text.
virtual void | set_range (T start, T end)
| Set progress range extent.
virtual void | set (T value)
| Set current progress.
virtual void | show (bool show=true)
| Show or hide progress.
virtual bool | cancel ()
| Query whether user requested abort.

## Detailed Description

template<class T>
class stdex::progress< T >

Progress indicator base class.

## Member Function Documentation

## ◆ cancel()

template<class T >

virtual bool stdex::progress< T >::cancel | ( |  | ) |
| inline virtual

Query whether user requested abort.

Reimplemented in stdex::aggregate_progress< T >::worker_progress, stdex::global_progress< T >, and stdex::timeout_progress< T >.

## ◆ set()

template<class T >

virtual void stdex::progress< T >::set | ( | T | value | ) |
| inline virtual

Set current progress.

Parameters

  [in] | value | Current value of the progress. Must be between start and end parameters provided in set_range() call.

Reimplemented in stdex::aggregate_progress< T >::worker_progress, stdex::global_progress< T >, stdex::lazy_progress< T >, and stdex::timeout_progress< T >.

## ◆ set_range()

template<class T >

virtual void stdex::progress< T >::set_range | ( | T | start,
|  | T | end )
| inline virtual

Set progress range extent.

Parameters

  [in] | start | Minimum value of the progress
  [in] | end | Maximum value of the progress

Reimplemented in stdex::aggregate_progress< T >::worker_progress, stdex::global_progress< T >, stdex::lazy_progress< T >, and stdex::timeout_progress< T >.

## ◆ set_text()

template<class T >

virtual void stdex::progress< T >::set_text | ( | const char * | msg | ) |
| inline virtual

Set progress indicator text.

Parameters

  [in] | msg | Text to display

Reimplemented in stdex::aggregate_progress< T >::worker_progress, stdex::global_progress< T >, and stdex::timeout_progress< T >.

## ◆ show()

template<class T >

virtual void stdex::progress< T >::show | ( | bool | show = true | ) |
| inline virtual

Show or hide progress.

Parameters

  [in] | show | Shows or hides progress indicator

Reimplemented in stdex::aggregate_progress< T >::worker_progress, stdex::global_progress< T >, and stdex::timeout_progress< T >.

The documentation for this class was generated from the following file:

- include/stdex/progress.hpp